Subject: Re: What's new

From: [email-masked]
Date: Mon, 21 Sep 1992 11:38:21 -0600

>In the draft I just sent, the possibility to use
>
>number_of_processors, or
>processors_shape
>
>in constant expressions has been removed, as this effectively
>forces the compiler to compile for one machine size only.
>Constant expressions are required by Fortran 90 in initializations of
>variables and parameters and, for example, here:
>
>    equivalence (A( <constnt-expr> ),    stuff )
>
>It does not seem reasonable to allow an expression that may not be
>known explicitly to the compiler as the array subscript.
>
>
>The explanations of SCATTER, PREFIX, and SUFFIX have all been reworked, too.
>
>
>Rob

While I can't argue with leaving NUMBER_OF_PROCESSORS out of EQUIVALENCE,
I'd like to note that this also disallows NUMBER_OF_PROCESSORS in the
initializing expression of DATA statements.  This seems harmless; anybody
want to suggest a way to allow it?  I don't have a cross-reference for the
F90 standard, so I don't know if there are other nice uses of constants.

                                                Chuck